# $Revision: 1.23 $, $Date: 2009/11/12 13:31:16 $
Summary:	DMX extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia DMX
Name:		xorg-lib-libdmx
Version:	1.1.0
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libdmx-%{version}.tar.bz2
# Source0-md5:	a2fcf0382837888d3781b714489a8999
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-dmxproto-devel >= 2.2.99.1
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DMX (Distributed Multihead X) extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia DMX (Distributed Multihead X).

%package devel
Summary:	Header files for libdmx library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdmx
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-dmxproto-devel >= 2.2.99.1

%description devel
DMX (Distributed Multihead X) extension library.

This package contains the header files needed to develop programs that
use libdmx.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia DMX (Distributed Multihead X).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libdmx.

%package static
Summary:	Static libdmx library
Summary(pl.UTF-8):	Biblioteka statyczna libdmx
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
DMX (Distributed Multihead X) extension library.

This package contains the static libdmx library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia DMX (Distributed Multihead X).

Pakiet zawiera statyczną bibliotekę libdmx.

%prep
%setup -q -n libdmx-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libdmx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdmx.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdmx.so
%{_libdir}/libdmx.la
%{_includedir}/X11/extensions/dmxext.h
%{_pkgconfigdir}/dmx.pc
%{_mandir}/man3/DMX*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdmx.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libdmx.spec,v $
Revision 1.23  2009/11/12 13:31:16  patrys
- rebuild
- rel 2

Revision 1.22  2009/10/05 16:35:24  qboosh
- updated util-macros version and -devel deps
- more verbose files and descs, added README to doc

Revision 1.21  2009/10/05 05:25:44  arekm
- up to 1.1.0

Revision 1.20  2009/09/04 09:43:05  arekm
- up to 1.0.99.1

Revision 1.19  2008/11/05 23:30:11  arekm
- release 5

Revision 1.18  2008/07/27 23:04:10  arekm
- release 4

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/10/15 02:39:20  qboosh
- release 1

Revision 1.12  2006/04/27 06:37:43  arekm
- up to 1.0.2

Revision 1.11  2005/12/28 15:01:31  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.10  2005/12/20 14:39:01  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 12:30:48  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 20:51:42  qboosh
- BR: autoconf >= 2.57

Revision 1.5  2005/10/20 11:16:29  jpc
- up to 0.99.1

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:05  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 12:35:22  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %%{_mandir}
- added %%doc
- removed redundant BR: libX11-devel, xextproto-devel
- removed redundant R: libX11-devel, xextproto-devel from devel package
- release 0.02

* Fri Aug  5 2005 21:35:52  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
